#--------------------------------------------------------------------------------
sub log_snooze
#--------------------------------------------------------------------------------
# Write message to log file 
#--------------------------------------------------------------------------------
{
  my ($h) = @_;
  my $zurls = "";  
  my $z2 = ""; 

  if ($mode eq "test") { $z2 = "/dbamon/details_test" }
  else                 { $z2 = "/dbamon/details" }

  open(HTML_EVENTS,">>$html_events[$h]") ||  &error_msg("log_snooze() - Cannot open append $html_events[$h] - $!");

  #---- Old
  ##chop($linect = `wc -l $f | awk '{ print \$1}'`); 
  ##chop($linect = `wc -l $f | cut -d' ' -f 1`); 

  print HTML_EVENTS "
<div style='font-family:$www_font;font-size:9pt;background:#f8f8f8';>
<fieldset>
  <legend><b><font size=1>Action(s)/URLs Available For This Event (Scope: This Instance Only):</font></b></legend>
<a href='/cgi-bin/dbamon_event_snooze.pl?,$titleraw[$h],$e_msgid_short'><b>Snooze Event $e_msgid_short</b></a> 
&nbsp; <a HREF='/cgi-bin/dbamon_event_snooze.pl?,$titleraw[$h]' title='Event Snooze Edit'><b>View/Edit All Snoozed Events</b></a>
&nbsp; <a HREF='/cgi-bin/dbamon_hist.pl?$titleraw[$h]' title='Event History Report (All Events, This Instance)'><b>Event History Report</b></a>
  ";

  #---- Some other links (somewhat conditional) 

  #---- Detail and Historical metrics readings
  print HTML_EVENTS "&nbsp; <a HREF='/cgi-bin/dbamon_metrics.pl?$mode,MDETAIL,$titleraw[$h]'><b>View All Metrics</b></a>\n";

  #---- Jump to Details -> Perf data
  if ($dbms[$e_h] eq "MSSQL")
  {
    print HTML_EVENTS "&nbsp; <a HREF='$z2/$titleraw[$h].html#sqlPerf''><b>View Performance Metrics</b></a>\n";
  }
  elsif ($dbms[$e_h] eq "OSWin")
  {
    print HTML_EVENTS "&nbsp; <a HREF='$z2/$titleraw[$h].html#osWinPerf'><b>View Performance Metrics</b></a>\n";
  }
  elsif ($dbms[$e_h] eq "OracleNT")
  {
    print HTML_EVENTS "&nbsp; <a HREF='$z2/$titleraw[$h].html#orantPerf'><b>View Performance Metrics</b></a>\n";
  }

  print HTML_EVENTS "
</fieldset>
</div>
  ";

}
#--------------------------------------------------------------------------------
1;
